#
# spec file for package perl-ApacheDBI (Version 0.88)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  apache apache-devel mm mod_perl
# usedforbuild    aaa_base aaa_dir apache apache-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp mm mod_perl modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-ApacheDBI
%define apache_includedir   	%(apxs -q INCLUDEDIR)
%define version_perl       	%(rpm -q --queryformat '%{version}' perl)
%define version_apache		%(rpm -q --queryformat '%{version}' apache)
%define perl_installsitelib  	%(eval "`perl -V:installsitelib`"; echo $installsitelib)
Copyright:    BSD style
Group:        Development/Libraries/Perl
Provides:     ApacheDBI
Requires:     perl = %{version_perl} 
Requires:     apache = %{version_apache}
Requires:     mod_perl
Conflicts:    perlmod
Autoreqprov:  on
Version:      0.88
Release:      132
Source:       ApacheDBI-%{version}.tar.gz
Patch:	      ApacheDBI-%{version}.dif
Summary:      Apache authentication via perl DBI
URL:          http://www.symbolstone.org/technology/perl/DBI/
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}

%description
These modules are supposed to be used with the Apache server together
with an embedded perl interpreter like mod_perl. They provide support
for basic authentication and authorization as well as support for
persistent database connections via Perl's Database Independent
Interface (DBI).

Authors:
--------
    Tim Bunce <dbi-users@isc.org>

SuSE series: perl

%prep 
%setup -n ApacheDBI-%{version}
%patch

%build
export CFLAGS="$RPM_OPT_FLAGS"
export APACHE=`which httpd`
perl Makefile.PL
make all
make test
	

%install
export CFLAGS="$RPM_OPT_FLAGS"
export APACHE=`which httpd`
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
eval `perl -V:installarchlib`
install -d $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr \
        INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
        INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
        install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT/$installarchlib/perllocal.pod | \
	sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/%{name}
cd $RPM_BUILD_ROOT/%{perl_sitearch}/auto/Apache/DBI
       cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%files
%defattr(-, root, root)
%doc Changes MANIFEST README traces.txt eg
%doc %{_mandir}/man3/Apache::DBI.3pm.gz
%doc %{_mandir}/man3/Apache::AuthDBI.3pm.gz
%{perl_installsitelib}/Apache/DBI.pm
%{perl_installsitelib}/Apache/AuthDBI.pm
%{perl_sitearch}/auto/Apache/DBI
/var/adm/perl-modules/%{name}

%changelog -n perl-ApacheDBI
* Sun Aug 12 2001 - kukuk@suse.de
- Fix path to perl interpreter
* Wed Mar 28 2001 - rolf@suse.de
- update to 0.88
* Fri Feb 23 2001 - ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Thu Nov 16 2000 - rolf@suse.de
- extracted from perlmod package
